Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453990 - [RHEL5.3] LTP test failure in inotify02 testcase
Summary: [RHEL5.3] LTP test failure in inotify02 testcase
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jeff Burke
QA Contact: Martin Jenner
URL: http://rhts.redhat.com/testlogs/24620...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-03 17:43 UTC by Jeff Burke
Modified: 2009-07-06 21:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:23:24 UTC


Attachments (Terms of Use)
Patch to fix the inotify LTP test failure (deleted)
2008-07-03 17:43 UTC, Jeff Burke
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Jeff Burke 2008-07-03 17:43:30 UTC
Description of problem:
A bug in inotify_user.c

Following comment is at fs/inotify_user.c:287
/* coalescing: drop this event if it is a dupe of the previous */

I think the previous event in the comment should be the last event in the
link list.  But inotify_dev_get_event return the first event in the list.
In addition, it doesn't check whether the list is empty

http://kerneltrap.org/mailarchive/git-commits-head/2008/2/6/748474

Version-Release number of selected component (if applicable):
2.6.18-92.el5

How reproducible:
 Always

Steps to Reproduce:
1. Boot 5.2 GA
2. Install Latest version of LTP and run the inotify02 testcase from the
syscalls tests.
  
Actual results:
------ Log Snippet: -------

<<<test_start>>>
tag=inotify02 stime=1215036015
cmdline="inotify02"
contacts=""
analysis=exit
initiation_status="ok"
<<<test_output>>>
inotify02    1  PASS  :  get event: wd=1 mask=40000004 cookie=0 len=0 name=""
inotify02    2  PASS  :  get event: wd=1 mask=100 cookie=0 len=16 name="test_file1"
inotify02    3  PASS  :  get event: wd=1 mask=20 cookie=0 len=16 name="test_file1"
inotify02    4  PASS  :  get event: wd=1 mask=8 cookie=0 len=16 name="test_file1"
inotify02    5  PASS  :  get event: wd=1 mask=40 cookie=173 len=16 name="test_file1"
inotify02    6  PASS  :  get event: wd=1 mask=80 cookie=173 len=16 name="test_file2"
inotify02    7  PASS  :  get event: wd=1 mask=800 cookie=0 len=0 name=""
inotify02    8  PASS  :  get event: wd=1 mask=200 cookie=0 len=16 name="test_file2"
inotify02    9  PASS  :  get event: wd=1 mask=800 cookie=0 len=0 name=""
inotify02   10  FAIL  :  get unnecessary event: wd=1 mask=800 cookie=0 len=0name=""
<<<execution_status>>>
duration=0 termination_type=exited termination_id=1 corefile=no
cutime=0 cstime=1
<<<test_end>>>

Expected results:
 This test shuold pass

Additional info:
 This was also found upstream and reported to LTP list

- http://www.mail-archive.com/ltp-list@lists.sourceforge.net/msg02636.html

- Patch was added to v2.6.25-rc1~775

Comment 1 Jeff Burke 2008-07-03 17:43:31 UTC
Created attachment 310943 [details]
Patch to fix the inotify LTP test failure

Comment 2 RHEL Product and Program Management 2008-07-25 17:02:27 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 4 RHEL Product and Program Management 2008-07-25 17:31:26 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 6 RHEL Product and Program Management 2008-07-25 18:14:03 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Don Zickus 2008-07-25 20:26:53 UTC
in kernel-2.6.18-100.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 9 Don Zickus 2008-08-08 19:00:00 UTC
Alright, I suck.  This was intended for -100.el5 but the bz flags blocked me and my scripts failed to reflect this. :(  Moving back to POST to show it is still on my queue.

Comment 10 Don Zickus 2008-08-13 16:07:29 UTC
in kernel-2.6.18-104.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 11 Don Zickus 2008-08-13 17:25:57 UTC
in kernel-2.6.18-104.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 18 errata-xmlrpc 2009-01-20 20:23:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.